///
///	@file command.h @brief command header file
///
///	Copyright (c) 2009 by Lutz Sammer.  All Rights Reserved.
///
///	Contributor(s):
///
///	License: AGPLv3
///
///	This program is free software: you can redistribute it and/or modify
///	it under the terms of the GNU Affero General Public License as
///	published by the Free Software Foundation, either version 3 of the
///	License.
///
///	This program is distributed in the hope that it will be useful,
///	but WITHOUT ANY WARRANTY; without even the implied warranty of
///	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
///	GNU Affero General Public License for more details.
///
///	$Id: 1d83a685c54227573290ad502bdf9b0629ad58a7 $
//////////////////////////////////////////////////////////////////////////////

/// @addtogroup command
/// @{

//////////////////////////////////////////////////////////////////////////////
//	Declares
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
//	Variables
//////////////////////////////////////////////////////////////////////////////

extern char *ExitCommand;		///< command to execute on exit
extern const char *Shell;		///< shell for commands

//////////////////////////////////////////////////////////////////////////////
//	Prototypes
//////////////////////////////////////////////////////////////////////////////

    /// Execute an external program.
extern void CommandRun(const char *);

    /// Initialize command module.
extern void CommandInit(void);

    /// Cleanup command module.
extern void CommandExit(void);

    /// Parse configuration for command module.
extern void CommandConfig(const Config *);

/// @}
